ZCK_GEN_ZDICT(1)

NAME
zck_gen_zdict - extract a dictionary and optionally the separate chunks from a zdict file

SYNOPSIS
zck_gen_zdict [-d directory | --dir=directory] [-v | --verbose] file
zck_gen_zdict? | --help | --usage | --version

DESCRIPTION
The zck_gen_zdict utility reads the specified zchunk file, extracts the dictionary used during the compression, and optionally uncompresses the individual chunks into the specified directory.

The zck_gen_zdict utility accepts the following optional arguments:

-d, --dir
    In addition to extracting the dictionary, uncompress the individual chunks as sequential files into the specified directory.

-v, --verbose
    Verbose operation; display some diagnostic output.

?, --help
    Display program usage information and exit.

--usage
    Display brief program usage information and exit.

--version
    Display program version information and exit.

EXIT STATUS

EXAMPLES
Extract a zchunk file's dictionary into the words.txt.zdict file:

    zck_gen_zdict words.txt.zck

Extract the dictionary into words.txt.zdict and also the chunks into the chunks/ directory:

    zck_gen_zdict -d chunks/ words.txt.zck

SEE ALSO
unzck(1), zck(1), zck_delta_size(1), zck_read_header(1), zckdl(1)

AUTHOR
The zck_gen_zdict utility was written by Jonathan Dieter <jdieter@gmail.com>. This manual page stub was written by Peter Pentchev <roam@ringlet.net>.